温馨提示:本文翻译自stackoverflow.com,查看原文请点击:python - Tensorflow on windows

python - Windows上的Tensorflow

发布于 2020-03-29 13:14:47

我在Windows 7 64位上使用Anaconda 3.1.0。我已经安装了tensorflow(GPU)。运行以下命令时出现错误。

>>> import tensorflow as tf

完整的追溯

    (tensorflow) C:\windows\system32>python
Python 3.5.3 |Continuum Analytics, Inc.| (default, May 15 2017, 10:43:23) [MSC v
.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import tensorflow as tf
Traceback (most recent call last):
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in s
wig_import_helper
    return importlib.import_module(mname)
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 577, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 919, in create_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <
module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in s
wig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import *
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\__init__.py", line 51, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 52, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in s
wig_import_helper
    return importlib.import_module(mname)
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 577, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 919, in create_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <
module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in s
wig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\mbharsakale\AppData\Local\Continuum\Anaconda2\envs\tensorflow\l
ib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_probl
ems

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.

查看更多

查看更多

提问者
Mukesh Bharsakle
被浏览
81
368 2018-02-03 06:45

cudnn lib版本是错误的,所以我替换了正确版本的cudnn lib,它可以正常工作。

发布
问题

分享
好友

手机
浏览

扫码手机浏览